Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Threads, Assistants

Cancel a run

POST /openai/v1/threads/{thread_id}/runs/{run_id}/cancel

Cancels a run by its identifier.

Parâmetros de caminho

thread_id string exigido

The ID of the thread to which this run belongs.

run_id string exigido

The ID of the run to cancel.

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
id string exigido

The identifier, which can be referenced in API endpoints.

object enum exigido

The object type, which is always thread.run.

thread.run
created_at integer exigido

The Unix timestamp (in seconds) for when the run was created.

thread_id string exigido

The ID of the thread that was executed on as a part of this run.

assistant_id string exigido

The ID of the assistant used for execution of this run.

status enum exigido

The status of the run, which can be either queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, or expired.

queuedin_progressrequires_actioncancellingcancelledfailedcompletedincompleteexpired
required_action OpenAI.RunObjectRequiredAction | null exigido

Details on the action required to continue the run. Will be null if no action is required.

type enum exigido
submit_tool_outputs
submit_tool_outputs OpenAI.RunObjectRequiredActionSubmitToolOutputs exigido
tool_calls OpenAI.RunToolCallObject[] exigido
last_error OpenAI.RunObjectLastError | null exigido

The last error associated with this run. Will be null if there are no errors.

code enum exigido
server_errorrate_limit_exceededinvalid_prompt
message string exigido
expires_at integer | null exigido

The Unix timestamp (in seconds) for when the run will expire.

started_at integer | null exigido

The Unix timestamp (in seconds) for when the run was started.

cancelled_at integer | null exigido

The Unix timestamp (in seconds) for when the run was cancelled.

failed_at integer | null exigido

The Unix timestamp (in seconds) for when the run failed.

completed_at integer | null exigido

The Unix timestamp (in seconds) for when the run was completed.

incomplete_details OpenAI.RunObjectIncompleteDetails | null exigido

Details on why the run is incomplete. Will be null if the run is not incomplete.

reason enum
max_completion_tokensmax_prompt_tokens
model string exigido

The model that the assistant used for this run.

instructions string exigido

The instructions that the assistant used for this run.

tools OpenAI.AssistantTool[] exigido

The list of tools that the assistant used for this run.

metadata OpenAI.Metadata | null exigido

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
usage OpenAI.RunCompletionUsage | null exigido

Usage statistics related to the run. This value will be null if the run is not in a terminal state (i.e. in_progress, queued, etc.).

completion_tokens integer exigido
prompt_tokens integer exigido
total_tokens integer exigido
temperature number | null

The sampling temperature used for this run. If not set, defaults to 1.

top_p number | null

The nucleus sampling value used for this run. If not set, defaults to 1.

max_prompt_tokens integer | null exigido

The maximum number of prompt tokens specified to have been used over the course of the run.

max_completion_tokens integer | null exigido

The maximum number of completion tokens specified to have been used over the course of the run.

truncation_strategy OpenAI.TruncationObject | null exigido

Controls for how a thread will be truncated prior to the run. Use this to control the initial context window of the run.

type enum exigido

The truncation strategy to use for the thread. The default is auto. If set to last_messages, the thread will be truncated to the n most recent messages in the thread. When set to auto, messages in the middle of the thread will be dropped to fit the context length of the model, max_prompt_tokens.

autolast_messages
last_messages integer | null
tool_choice enum | OpenAI.AssistantsNamedToolChoice | null exigido

Controls which (if any) tool is called by the model. none means the model will not call any tools and instead generates a message. auto is the default value and means the model can pick between generating a message or calling one or more tools. required means the model must call one or more tools before responding to the user. Specifying a particular tool like {"type": "file_search"} or {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.

Um dos seguintes:
enum
noneautorequired
type enum exigido

The type of the tool. If type is function, the function name must be set

functioncode_interpreterfile_search
function OpenAI.AssistantsNamedToolChoiceFunction
name string exigido
parallel_tool_calls boolean exigido

Whether to enable parallel function calling during tool use.

response_format enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null exigido

Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.

Um dos seguintes:
enum
auto
type enum exigido

The type of response format being defined. Always text.

text
type enum exigido

The type of response format being defined. Always json_object.

json_object
type enum exigido

The type of response format being defined. Always json_schema.

json_schema
json_schema OpenAI.ResponseFormatJsonSchemaJsonSchema exigido
description string
name string exigido
schema OpenAI.ResponseFormatJsonSchemaSchema

The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.

strict boolean | null

Client error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

curl https://api.openai.com/v1/threads/thread_abc123/runs/run_abc123/cancel \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -X POST
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
run = client.beta.threads.runs.cancel(
    run_id="run_id",
    thread_id="thread_id",
)
print(run.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const run = await openai.beta.threads.runs.cancel(
    "run_abc123",
    { thread_id: "thread_abc123" }
  );

  console.log(run);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const run = await client.beta.threads.runs.cancel('run_id', { thread_id: 'thread_id' });

console.log(run.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    run, err := client.Beta.Threads.Runs.Cancel(
        context.TODO(),
        "thread_id",
        "run_id",
    )
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", run.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.threads.runs.Run;
import com.openai.models.beta.threads.runs.RunCancelParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        RunCancelParams params = RunCancelParams.builder()
            .threadId("thread_id")
            .runId("run_id")
            .build();
        Run run = client.beta().threads().runs().cancel(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

run = openai.beta.threads.runs.cancel("run_id", thread_id: "thread_id")

puts(run)

Resposta

{
  "id": "run_abc123",
  "object": "thread.run",
  "created_at": 1699076126,
  "assistant_id": "asst_abc123",
  "thread_id": "thread_abc123",
  "status": "cancelling",
  "started_at": 1699076126,
  "expires_at": 1699076726,
  "cancelled_at": null,
  "failed_at": null,
  "completed_at": null,
  "last_error": null,
  "model": "gpt-4o",
  "instructions": "You summarize books.",
  "tools": [
    {
      "type": "file_search"
    }
  ],
  "tool_resources": {
    "file_search": {
      "vector_store_ids": ["vs_123"]
    }
  },
  "metadata": {},
  "usage": null,
  "temperature": 1.0,
  "top_p": 1.0,
  "response_format": "auto",
  "tool_choice": "auto",
  "parallel_tool_calls": true
}
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026